Page MenuHomePhabricator

[bug] special:log with some paramaters fatal in 1.28.0-wmf.23
Closed, ResolvedPublic

Description

link to reproduce

https://www.mediawiki.org/w/index.php?title=Special%3ALog&type=rights&user=k.4%3Blinux.ariesa.aroesa%40hotwail.com.opera&page=User%3A27-10-2016&year=28&month=-1&tagfilter=k.4%3Blinux.ariesa.aroesa%40hotwail.com.opera&subtype=

logline

{"id":"WBEwOgpAMFUAAA7sP9QAAABR","type":"TimestampException","file":"/srv/mediawiki/php-1.28.0-wmf.23/includes/libs/time/ConvertibleTimestamp.php","line":213,"message":"ConvertibleTimestamp::getTimestamp: The timestamp cannot be represented in the specified format

Details

Related Gerrit Patches:

Event Timeline

Matanya created this task.Oct 26 2016, 10:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2016, 10:54 PM
mmodell added a subscriber: mmodell.

Seems like it only happens with invalid timestamps in the url.

[WBJKDwpAICsAABy-xUQAAAAX] /w/index.php?title=Special%3ALog&type=rights&user=k.4%3Blinux.ariesa.aroesa%40hotwail.com.opera&page=User%3A27-10-2016&year=28&month=-1&tagfilter=k.4%3Blinux.ariesa.aroesa%40hotwail.com.opera&subtype= TimestampException from line 213 of /srv/mediawiki/php-1.28.0-wmf.23/includes/libs/time/ConvertibleTimestamp.php: ConvertibleTimestamp::getTimestamp: The timestamp cannot be represented in the specified format

Backtrace:

#0 /srv/mediawiki/php-1.28.0-wmf.23/includes/libs/rdbms/database/Database.php(2891): ConvertibleTimestamp->getTimestamp(integer)
#1 /srv/mediawiki/php-1.28.0-wmf.23/includes/pager/ReverseChronologicalPager.php(153): Database->timestamp(string)
#2 /srv/mediawiki/php-1.28.0-wmf.23/includes/logging/LogPager.php(78): ReverseChronologicalPager->getDateCond(integer, integer)
#3 /srv/mediawiki/php-1.28.0-wmf.23/includes/specials/SpecialLog.php(185): LogPager->__construct(LogEventsList, string, string, string, boolean, array, integer, integer, string, string)
#4 /srv/mediawiki/php-1.28.0-wmf.23/includes/specials/SpecialLog.php(111): SpecialLog->show(FormOptions, array)
#5 /srv/mediawiki/php-1.28.0-wmf.23/includes/specialpage/SpecialPage.php(522): SpecialLog->execute(NULL)
#6 /srv/mediawiki/php-1.28.0-wmf.23/includes/specialpage/SpecialPageFactory.php(584): SpecialPage->run(NULL)
#7 /srv/mediawiki/php-1.28.0-wmf.23/includes/MediaWiki.php(283): SpecialPageFactory::executePath(Title, RequestContext)
#8 /srv/mediawiki/php-1.28.0-wmf.23/includes/MediaWiki.php(861): MediaWiki->performRequest()
#9 /srv/mediawiki/php-1.28.0-wmf.23/includes/MediaWiki.php(522): MediaWiki->main()
#10 /srv/mediawiki/php-1.28.0-wmf.23/index.php(43): MediaWiki->run()
#11 /srv/mediawiki/w/index.php(3): include(string)
#12 {main}

Change 318351 had a related patch set uploaded (by Legoktm):
Don't fatal on invalid timestamps

https://gerrit.wikimedia.org/r/318351

Change 318678 had a related patch set uploaded (by Umherirrender):
Handle two digit years in Pager::getDateCond

https://gerrit.wikimedia.org/r/318678

Change 318351 merged by jenkins-bot:
Don't fatal on invalid timestamps

https://gerrit.wikimedia.org/r/318351

matmarex closed this task as Resolved.Jan 19 2017, 3:35 PM
matmarex added a subscriber: matmarex.

Looks fixed.

Change 318678 abandoned by Umherirrender:
Handle two digit years in Pager::getDateCond

Reason:
Linked T149257 already closed

https://gerrit.wikimedia.org/r/318678

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM